#include "Panel.hpp"
#include "util.hpp"

namespace mcpaint::gui {

void Panel::render(float deltaTime) {
	Vector2 position = this->position.toPixels();
	Vector2 size     = this->size.toPixels();

	Rectangle rect = {position.x, position.y, size.x, size.y};
	DrawRectangleRec(rect, ColorFromHex(0x333333FF));
	DrawRectangleLinesEx(rect, 1, ColorFromHex(0x555555FF));
}

}