#pragma once

#include "View.hpp"

namespace mcpaint::gui {

class hstack : public view {
	public:
		using view::view;

		virtual void update(float deltaTime, const view* const parent = nullptr) override;
		virtual void render(float deltaTime) override;

		virtual Type type() const override {
			return Type::HSTACK;
		}
};

inline hstack* HStack(std::initializer_list<view*> children = {}) {
	return new hstack(children);
}

}