#pragma once

#include <raylib.h>

#include "util.hpp"

namespace mcpaint::gui {

using namespace mcpaint;

struct Theme {
	constexpr static Color TRANSPARENT    = ColorFromHex(0x00000000);
	constexpr static Color ELEMENT        = ColorFromHex(0x535353FF);
	constexpr static Color ELEMENT_BORDER = ColorFromHex(0x383838FF);
	constexpr static Color ELEMENT_ACTIVE = ColorFromHex(0x383838FF);
	constexpr static Color ELEMENT_HOVER  = ColorFromHex(0x454545FF);
	constexpr static Color ELEMENT_FG     = ColorFromHex(0xECECECFF);
	constexpr static Color ARTBOARD       = ColorFromHex(0x282828FF);
};

}